import { PageHandlerRemote } from '../report_unsafe_site.mojom-webui.js';
export interface ReportUnsafeSiteBrowserProxy {
    getPageHandler(): PageHandlerRemote;
}
export declare class ReportUnsafeSiteBrowserProxyImpl implements ReportUnsafeSiteBrowserProxy {
    private handler;
    private constructor();
    getPageHandler(): PageHandlerRemote;
    static getInstance(): ReportUnsafeSiteBrowserProxy;
    static setInstance(obj: ReportUnsafeSiteBrowserProxy): void;
}
